.mini-offer {
    font-size: rem(13);
    line-height: 125%;
    text-align: center;
    position: relative;
    margin-bottom: rem(50);
    padding: rem(60) rem(30);
    border: 8px solid rgba(241, 240, 237, 0.70);

    &:before {
        z-index: 5;
        content: '';
        top: rem(12);
        left: rem(12);
        right: rem(12);
        bottom: rem(12);
        position: absolute;
        border: 1px solid rgba(241, 240, 237, 0.70);
    }

    &__content {
        z-index: 20;
        position: relative;
    }

    &__title {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(18);
    }

    &__text {
        color: #585757;
        font-weight: 500;
        margin-top: rem(12);
    }

    &__button {
        z-index: 20;
        position: relative;
        margin-top: rem(32);

        .btn {
            height: rem(54);
            min-width: rem(224);
        }
    }

    &__media {
        z-index: 1;
        top: rem(18);
        left: calc(50% - 128px);
        width: 256px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        text-align: left;
        font-size: rem(16);
        height: rem(235);
        padding: rem(40) rem(50) rem(40) rem(70);
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(40);

        &:before {
            top: rem(16);
            left: rem(16);
            right: rem(16);
            bottom: rem(16);
        }

        &__content {
            margin-bottom: 0;
        }

        &__title {
            font-size: rem(22);
        }

        &__button {
            margin-top: 0;
            min-width: rem(264);
            flex-shrink: 0;

            .btn {
                height: rem(64);
                width: 100%;
            }
        }

        &__media {
            top: 25px;
            left: 18px;
            width: 448px;
        }

        &--measuring {
            padding-right: rem(50);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        height: rem(215);
        border-width: 12px;
        padding-left: rem(120);
        padding-right: rem(120);
        margin-bottom: rem(70);

        &:before {
            top: rem(9);
            left: rem(9);
            right: rem(9);
            bottom: rem(9);
        }

        &__title {
            font-size: rem(26);
        }

        &__text {
            margin-top: rem(4);

            &--md {
                margin-top: rem(12);
            }
        }

        &__button {
            min-width: rem(330);

            .btn {
                height: rem(80);
            }
        }

        &__media {
            top: -4px;
            left: 2px;
            width: 471px;
        }

        &--measuring {
            padding-left: rem(68);
            padding-right: rem(68);
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(248);
        padding-right: rem(248);

        &--measuring {
            padding-left: rem(68);
            padding-right: rem(68);
        }
    }
}
